/**
 * 公用JS文件
 */

var BASE_URL=localStorage.getItem("http");
function login()
{
	var  account = $("#account").val();
	var  pwd = $("#password").val();

	if(account == null || account.trim() == '')
	{
		 plus.nativeUI.toast('请输入账号');
		 $("#submit").attr("disabled",false);
		 return false;
	}
	if(pwd == null || pwd.trim() == '')
	{
		 plus.nativeUI.toast('请输入密码');
		 $("#submit").attr("disabled",false);
		 return false;
	}
    var clientInfo = plus.push.getClientInfo();
	var clientid = '';
	if(clientInfo != null)
	{
		clientid = clientInfo.clientid;
		//alert(clientid);
	}
	mui.ajax(BASE_URL+'account/appLogin?account='+account+'&password='+pwd+'&clientid='+clientid+'&callback=callback',{
					    	dataType:'jsonp',//服务器返回json格式数据
					    	jsonp: 'callback', 
					    	jsonpCallback:'callback',
					    	crossDomain:true,
					    	type:'get',//HTTP请求类型
					    	async: false,
					    	crossDomain:true,
					    	timeout:10000,//超时时间设置为10秒；
					    	success:function(data){
							var mes=eval("["+data+"]")[0];
							//登录成功
							if (mes.success) {
								//console.log(JSON.stringify(mes.userbean))
								//判断是否是平台用户 并且没有绑定手机号码
								if(mes.userbean.phone==null || mes.userbean.phone=="" ){
									console.log("平台用户需要绑定手机号码");
									document.getElementById("login_content").style.display="none";
									document.getElementById("validateCode_content").style.display="block";
									localStorage.setItem('userbean_notBind',JSON.stringify(mes.userbean));
								}else{
									localStorage.setItem('userbean',JSON.stringify(mes.userbean));
									plus.nativeUI.toast('登录成功');
									mui.back();//返回父页面并且刷新
								}
							}else{ //登录失败
								plus.nativeUI.toast(mes.msg);
								$("#submit").attr("disabled",false);
							}
					        },
					    	error:function(xhr,type,errorThrown){
					    		plus.nativeUI.toast( "连接服务器失败，请检查网络是否连接？");
					    		$("#submit").attr("disabled",false);
					    	}
					   });
}





//
var dynamicLoading = {
  css: function(path){
 if(!path || path.length === 0){
  throw new Error('argument "path" is required !');
 }
 var head = document.getElementsByTagName('head')[0];
    var link = document.createElement('link');
    link.href = path;
    link.rel = 'stylesheet';
    link.type = 'text/css';
    head.appendChild(link);
  },
  js: function(path){
 if(!path || path.length === 0){
  throw new Error('argument "path" is required !');
 }
 var head = document.getElementsByTagName('head')[0];
    var script = document.createElement('script');
    script.src = path;
    script.type = 'text/javascript';
    head.appendChild(script);
  }
}

function InitColor()
{
	var user = localStorage.getItem("userbean");
	var o = eval("[" + user + "]")[0];
	if("undefined" != typeof o && o != null) {
	//管理员
	if(o.userType.indexOf("PTUSER") >= 0 || o.userType.indexOf("WORKER") >= 0 
	   || o.userType.indexOf("ACCEPT") >= 0 || o.userType.indexOf("WXACC") >= 0
	   || o.userType.indexOf("DRIVER") >= 0 || o.userType.indexOf("SHOP") >= 0) {
		dynamicLoading.css("css/admin.css");
	} else {
		//学生
		if(o.userType.indexOf("YJS") >= 0 || o.userType.indexOf("BZKS") >= 0) {
			dynamicLoading.css("css/Student.css");
		}
		//教职工
		if(o.userType.indexOf("JZG") >= 0) {
			dynamicLoading.css("css/admin.css");
		}
	}
	} else //游客
	{
		dynamicLoading.css("css/Guest.css");
	}
}

function InitColor2()
{
	var user = localStorage.getItem("userbean");
	var o = eval("[" + user + "]")[0];
	if("undefined" != typeof o && o != null) {
	//管理员
	if(o.userType.indexOf("PTUSER") >= 0 || o.userType.indexOf("WORKER") >= 0 || o.userType.indexOf("ACCEPT") >= 0) {
		dynamicLoading.css("../css/admin.css");
	} else {
		//学生
		if(o.userType.indexOf("YJS") >= 0 || o.userType.indexOf("BZKS") >= 0) {
			dynamicLoading.css("../css/Student.css");
		}
		//教职工
		if(o.userType.indexOf("JZG") >= 0) {
			dynamicLoading.css("../css/admin.css");
		}
	}
	} else //游客
	{
		dynamicLoading.css("../css/Guest.css");
	}
}

//修改密码
function modifyPwd()
{
	var userbean = localStorage.getItem("userbean");
	if(userbean==null || userbean == "")
	{
		plus.nativeUI.toast('请先登录');
		 $("#submit").attr("disabled",false);
		 return false;
	}
	var user = eval("["+userbean+"]")[0];
	var  account = user.uid;//账号
	var  userType = user.userType;
	var  oldpwd = $("#oldpwd").val();//旧密码
	var  newpwd = $("#newpwd").val();//新密码
	var  repwd =  $("#repwd").val();//重复密码
	
	if(oldpwd == null || oldpwd.trim() == '')
	{
		 plus.nativeUI.toast('请输入原密码');
		 $("#submit").attr("disabled",false);
		 return false;
	}
	if(newpwd == null || newpwd.trim() == '')
	{
		 plus.nativeUI.toast('请输入新密码');
		 $("#submit").attr("disabled",false);
		 return false;
	}
	if(newpwd != repwd)
	{
		 plus.nativeUI.toast('二次密码不一致');
		 $("#submit").attr("disabled",false);
		 return false;
	}

	mui.ajax(localStorage.getItem("http")+'account/modifyUserPwd?account='+account+'&oldpwd='+oldpwd+'&newpwd='+newpwd+'&repwd='+repwd+'&usertype='+userType+'&callback=callback',{
					    	dataType:'json',//服务器返回json格式数据
					    	type:'post',//HTTP请求类型
					    	async: false,
					    	timeout:10000,//超时时间设置为10秒；
					    	success:function(data){
							var mes=data;
							//成功
							if (mes.state==0) {
								plus.nativeUI.toast(mes.msg);
								mui.back();//返回父页面并且刷新
								
							}else{ //失败
								plus.nativeUI.toast(mes.msg);
								$("#submit").attr("disabled",false);
							}
					        },
					    	error:function(xhr,type,errorThrown){
					    		plus.nativeUI.toast( "连接服务器失败，请检查网络是否连接？");
					    		$("#submit").attr("disabled",false);
					    	}
					   });
}