//计算时间
function jsDateDiff(publishTime,time){
    var d_minutes,d_hours,d_days;       
    var d;       
    d = 60*publishTime;       
    //console.log(d);
    d_days = parseInt(d/86400);       
    d_hours = parseInt(d/3600);       
    d_minutes = parseInt(d/60);       
    if(d_days>0 && d_days<4){       
        return d_days+"天前";       
    }else if(d_days<=0 && d_hours>0){       
        return d_hours+"小时前";       
    }else if(d_hours<=0 && d_minutes>0){       
        return d_minutes+"分钟前";       
    }else{       
        return time.substring(0,10);       
    }       
}  
			
//通知初始化
function initAdviceInfo(){
	var userbean = localStorage.getItem("userbean");
	//console.log(userbean);
	mui.ajax(BASE_URL+'account/initAdviceInfos?uid='+JSON.parse(userbean).uid+'&callback=callback',{
		    	dataType:'jsonp',//服务器返回json格式数据
		    	jsonp: 'callback', 
		    	jsonpCallback:'callback',
		    	crossDomain:true,
		    	type:'get',//HTTP请求类型
		    	async: true,
		    	crossDomain:true,
		    	timeout:10000,//超时时间设置为10秒；
		    	success:function(data){
					var mes=eval("["+data+"]")[0];
					if(mes.state=="0"){
						var timeStr = jsDateDiff(mes.list[0].time,mes.list[0].operat_time);
						document.getElementById("advice_time").innerHTML=timeStr;
						document.getElementById("advice_content").innerHTML=mes.list[0].operat_info;
						//判断是否有未读消息
						if(mes.list[0].read=="0"){
							document.getElementById("advice_badge").style.display="block";
						}
						//绑定点击事件
						document.getElementById("advice_li").addEventListener("tap",function(){
							document.getElementById("advice_badge").style.display="none";
							mui.openWindow({
								url: 'newsList.html',
								id: 'newsList',
								styles: {
									top: '0px', //新页面顶部位置
									bottom: '0px' //新页面底部位置
								},
								waiting: {
									autoShow: false, //自动显示等待框，默认为true
									title: '正在加载...' //等待对话框上显示的提示内容
								}
							})
						})
						
					}else{
						//console.log(mes.msg); 
						//绑定点击事件
						document.getElementById("advice_li").addEventListener("tap",function(){
							plus.nativeUI.toast("暂无通知！");
						})
					}
		        },
		    	error:function(xhr,type,errorThrown){
		    		//plus.nativeUI.toast( "连接服务器失败，请检查网络是否连接？");
		    	}
		   });
}
			
//回复初始化
function initReplyInfo () {
	var userbean = localStorage.getItem("userbean");
	//console.log(userbean); 
	mui.ajax(BASE_URL+'account/initReplyPosts?uid='+JSON.parse(userbean).uid+'&callback=callback',{
	    	dataType:'jsonp',//服务器返回json格式数据
	    	jsonp: 'callback', 
	    	jsonpCallback:'callback',
	    	crossDomain:true,
	    	type:'get',//HTTP请求类型
	    	async: true,
	    	crossDomain:true,
	    	timeout:10000,//超时时间设置为10秒；
	    	success:function(data){
				var mes=eval("["+data+"]")[0];
				if(mes.state=="0"){
					var timeStr = jsDateDiff(mes.list[0].time,mes.list[0].updateTime);
					document.getElementById("reply_time").innerHTML=timeStr;
					var content = mes.list[0].content;
					if(content.indexOf("img")>=0){
						document.getElementById("reply_content").innerHTML="【图文消息】";
					}else{
						document.getElementById("reply_content").innerHTML=mes.list[0].content;
					}
					//判断是否有未读消息
					if(mes.list[0].hasread=="0"){
						document.getElementById("reply_badge").style.display="block";
					}
					//绑定点击事件
					document.getElementById("reply_li").addEventListener("tap",function(){
						document.getElementById("reply_badge").style.display="none";
							mui.openWindow({
								url: 'replyList.html',
								id: 'replyList',
								styles: {
									top: '0px', //新页面顶部位置
									bottom: '0px' //新页面底部位置
								},
								waiting: {
									autoShow: false, //自动显示等待框，默认为true
									title: '正在加载...' //等待对话框上显示的提示内容
								}
							})
					})
					
				}else{
					//console.log(mes.msg); 
					//绑定点击事件
					document.getElementById("reply_li").addEventListener("tap",function(){
						plus.nativeUI.toast("暂无回复！")
					})
				}
	        },
	    	error:function(xhr,type,errorThrown){
	    		//plus.nativeUI.toast( "连接服务器失败，请检查网络是否连接？");
	    	}
	   });
}


//充值记录初始化
function initrechargeInfo(){
	var userbean = localStorage.getItem("userbean");
	var userid=JSON.parse(userbean).uid;
	mui.ajax(BASE_URL+'account/initrechargeInfo',{
		    	dataType:'json',//服务器返回json格式数据
		    	type:'POST',//HTTP请求类型
		    	data:{"userid":userid},
		    	async: false,
		    	timeout:10000,//超时时间设置为10秒；
		    	success:function(obj){
					if(obj.state==0){
						var timeStr = jsDateDiff(obj.data[0].time,obj.data[0].addTime);
						document.getElementById("recharge_time").innerHTML=timeStr;
						var type=obj.data[0].type;
						document.getElementById("recharge_content").innerHTML=obj.data[0].content;
						//判断是否有未读消息
						if(obj.data[0].hasread=="0"){
							document.getElementById("recharge_badge").style.display="block";
						}
						//绑定点击事件
						document.getElementById("recharge_li").addEventListener("tap",function(){
							document.getElementById("recharge_badge").style.display="none";
							mui.openWindow({
								url: 'Recharge.html',
								id: 'Recharge',
								styles: {
									top: '0px', //新页面顶部位置
									bottom: '0px' //新页面底部位置
								},
								waiting: {
									autoShow: false, //自动显示等待框，默认为true
									title: '正在加载...' //等待对话框上显示的提示内容
								}
							})
						})
						
					}else{
						//console.log(mes.msg); 
						//绑定点击事件
						document.getElementById("recharge_li").addEventListener("tap",function(){
							plus.nativeUI.toast("暂无充值记录！");
						})
					}
		        },
		    	error:function(xhr,type,errorThrown){
		    	//	plus.nativeUI.toast( "连接服务器失败，请检查网络是否连接？");
		    	}
		   });
}
			
//删除记录--软删除
function delInfos (num) {    //右滑清空数据
	var msg = "";
	var url = "";
	var userbean = localStorage.getItem("userbean");
	var li = "";
	switch (num){
		case 1:
			msg="充值记录";
			url=BASE_URL+'account/delrechargeHasread?userid='+JSON.parse(userbean).uid+'&callback=callback';
			li="recharge";
			deleteInfo(msg,url,li);
			break;
		case 2:
			msg="通知消息";
			url=BASE_URL+'account/delAdviceInfos?uid='+JSON.parse(userbean).uid+'&callback=callback';
			li="advice";
			deleteInfo(msg,url,li);
			break;
		case 3:
			msg="帖子消息";
			url=BASE_URL+'account/delPostsInfos?uid='+JSON.parse(userbean).uid+'&callback=callback';
			li="reply";
			deleteInfo(msg,url,li);
			break;
		case 4:
			msg="预约信息";
			url="";
			li="";
			deleteInfo(msg,url,li);
			break;
		default:
			break;
	}
}

//删除
function deleteInfo (msg,url,li) {
	plus.nativeUI.confirm( "确定要删除所有"+msg+"吗？", function(e){
		if(e.index==0){
			//删除
			mui.ajax(url,{
		    	dataType:'jsonp',//服务器返回json格式数据
		    	jsonp: 'callback', 
		    	jsonpCallback:'callback',
		    	crossDomain:true,
		    	type:'get',//HTTP请求类型
		    	async: false,
		    	crossDomain:true,
		    	timeout:10000,//超时时间设置为10秒；
		    	success:function(data){
					var mes=eval("["+data+"]")[0];
					if(mes.state=="0"){
						document.getElementById(li+"_time").innerHTML="";
						document.getElementById(li+"_content").innerHTML="";
						document.getElementById(li+"_badge").style.display="none";
						refresh();
					}else{
						console.log(mes.msg); 
					}
		        },
		    	error:function(xhr,type,errorThrown){
		    		//plus.nativeUI.toast( "连接服务器失败，请检查网络是否连接？");
		    	}
		   });
			
		}
	}, "提示", ["确定","取消"] );
}